CCOMFLAGS	+= -Z -O -O1 -Oa
LINKFLAGS       += -N (C)\201999\20David\20Given

#include <geode.mk>

aops.h: opcodes.dat mk_op_h.awk
	mawk -f mk_op_h.awk opcodes.dat > aops.h

aops.ah: opcodes.dat mk_op_ah.awk
	mawk -f mk_op_ah.awk opcodes.dat > aops.ah

shell.goc: shell.axc shell.axh

shell.axc shell.axh: shell.ax
	echo > shell.axc
	echo > shell.axh
	echo > $$
	bmawk -f include.awk shell.ax > $$
	bmawk -f com.awk $$ shell.axc shell.axh
	touch shell.goc

compiler.goc: compiler.axc compiler.axh

compiler.axc compiler.axh: compiler.ax
	echo > compiler.axc
	echo > compiler.axh
	echo > $$
	bmawk -f include.awk compiler.ax > $$
	bmawk -f com.awk $$ compiler.axc compiler.axh

acom.goc: anames.h
anames.h: opcodes.dat mk_nam_h.awk
	mawk -f mk_nam_h.awk opcodes.dat > anames.h
